Subject: [Iasa20] some personal feedback on IASA arrangements (finance part)

From: Jari Arkko <[email-masked]>
Date: Tue, 28 Feb 2017 11:32:13 +0200

FYI

> This short memo outlines the author's thoughts of current status and
> future development questions around IETF's financing mechanisms.
> 
> This memo is also input for discussion that the IETF community should
> have.  The memo is the first part of the author's goal to document
> the status and various challenges and opportunities associated with
> the IETF Administrative Activity (IASA), in the context of the so
> called "IASA 2.0" project.
> 
> The memo has no particular official standing, nor does it claim to
> represent more than the authors' thinking at the time of writing.

https://datatracker.ietf.org/doc/draft-arkko-ietf-finance-thoughts/

Jari